ublas: boost::numeric::ublas::indirect_array< A > Class Template Reference

# boost::numeric::ublas::indirect_array< A > Class Template Reference

List of all members.

## Classes
class | const_iterator
## Public Types
typedef A | array_type
typedef const A | const_array_type
typedef A::size_type | size_type
typedef A::difference_type | difference_type
typedef A::value_type | value_type
typedef A::const_reference | const_reference
typedef A::reference | reference
typedef A::const_pointer | const_pointer
typedef A::pointer | pointer
typedef std::reverse_iterator < const_iterator > | const_reverse_iterator
## Public Member Functions
BOOST_UBLAS_INLINE | indirect_array (size_type size)
BOOST_UBLAS_INLINE | indirect_array (size_type size, const array_type &data)
BOOST_UBLAS_INLINE | indirect_array (pointer start, pointer stop)
BOOST_UBLAS_INLINE size_type | size () const
BOOST_UBLAS_INLINE const_array_type | data () const
BOOST_UBLAS_INLINE array_type | data ()
BOOST_UBLAS_INLINE size_type | max_size () const
BOOST_UBLAS_INLINE bool | empty () const
BOOST_UBLAS_INLINE const_reference | operator() (size_type i) const
BOOST_UBLAS_INLINE reference | operator() (size_type i)
BOOST_UBLAS_INLINE const_reference | operator[] (size_type i) const
BOOST_UBLAS_INLINE reference | operator[] (size_type i)
BOOST_UBLAS_INLINE indirect_array | compose (const basic_range< size_type, difference_type > &r) const
BOOST_UBLAS_INLINE indirect_array | compose (const basic_slice< size_type, difference_type > &s) const
BOOST_UBLAS_INLINE indirect_array | compose (const indirect_array &ia) const
template<class OA >
BOOST_UBLAS_INLINE bool | operator== (const indirect_array< OA > &ia) const
template<class OA >
BOOST_UBLAS_INLINE bool | operator!= (const indirect_array< OA > &ia) const
BOOST_UBLAS_INLINE const_iterator | begin () const
BOOST_UBLAS_INLINE const_iterator | end () const
BOOST_UBLAS_INLINE const_reverse_iterator | rbegin () const
BOOST_UBLAS_INLINE const_reverse_iterator | rend () const
BOOST_UBLAS_INLINE indirect_array | preprocess (size_type size) const
## Static Public Member Functions
static BOOST_UBLAS_INLINE const indirect_array & | all ()

### template<class A>
class boost::numeric::ublas::indirect_array< A >